curl --request POST \
--url https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"destination_type": "personal_wallet",
"ownership": "self",
"beneficiary_type": "individual",
"wallet_provider": "<string>",
"wallet_provider_other_name": "<string>",
"exchange": "<string>",
"exchange_other_name": "<string>",
"beneficiary_full_name": "<string>",
"beneficiary_country": "<string>",
"beneficiary_region": "<string>",
"beneficiary_organisation_name": "<string>",
"beneficiary_organisation_country": "<string>",
"beneficiary_organisation_region": "<string>"
}Submit Deposit Travel Rule
Submit travel rule data for a deposit.
curl --request POST \
--url https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"destination_type": "personal_wallet",
"ownership": "self",
"beneficiary_type": "individual",
"wallet_provider": "<string>",
"wallet_provider_other_name": "<string>",
"exchange": "<string>",
"exchange_other_name": "<string>",
"beneficiary_full_name": "<string>",
"beneficiary_country": "<string>",
"beneficiary_region": "<string>",
"beneficiary_organisation_name": "<string>",
"beneficiary_organisation_country": "<string>",
"beneficiary_organisation_region": "<string>"
}Authorizations
Personal API key, created in the Digital Surge app under Account Settings → API Keys. Send it with every request as Authorization: Bearer <your-api-key>.
Body
Serializer for submitting travel rule data for a specific deposit.
Where the funds are going: 'personal_wallet' or 'exchange_account'.
personal_wallet- Personal Walletexchange_account- Exchange Account
personal_wallet, exchange_account Who owns the destination: 'self' or 'other'.
self- Self (Own Account)other- Other
self, other Required when ownership is 'other': 'individual' or 'organisation'.
individual- Individualorganisation- Organisation
individual, organisation Required when destination_type is 'personal_wallet'. See /reference-data/ for values.
50Name of the wallet provider when wallet_provider is 'other'.
100Required when destination_type is 'exchange_account'. See /reference-data/ for values.
50Name of the exchange when exchange is 'other'.
100Required when beneficiary_type is 'individual'.
200ISO 3166-1 alpha-2 country code. Required when beneficiary_type is 'individual'.
2Beneficiary's state, province or region (e.g. an Australian state). Optional.
100Required when beneficiary_type is 'organisation'.
200ISO 3166-1 alpha-2 country code. Required when beneficiary_type is 'organisation'.
2Beneficiary organisation's state, province or region. Optional.
100Response
Serializer for submitting travel rule data for a specific deposit.
Where the funds are going: 'personal_wallet' or 'exchange_account'.
personal_wallet- Personal Walletexchange_account- Exchange Account
personal_wallet, exchange_account Who owns the destination: 'self' or 'other'.
self- Self (Own Account)other- Other
self, other Required when ownership is 'other': 'individual' or 'organisation'.
individual- Individualorganisation- Organisation
individual, organisation Required when destination_type is 'personal_wallet'. See /reference-data/ for values.
50Name of the wallet provider when wallet_provider is 'other'.
100Required when destination_type is 'exchange_account'. See /reference-data/ for values.
50Name of the exchange when exchange is 'other'.
100Required when beneficiary_type is 'individual'.
200ISO 3166-1 alpha-2 country code. Required when beneficiary_type is 'individual'.
2Beneficiary's state, province or region (e.g. an Australian state). Optional.
100Required when beneficiary_type is 'organisation'.
200ISO 3166-1 alpha-2 country code. Required when beneficiary_type is 'organisation'.
2Beneficiary organisation's state, province or region. Optional.
100